Ruby: ext/zlib/zlib-1.2.13/gzguts.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Structures | Macros | Typedefs | Functions
gzguts.h File Reference
`#include <stdio.h>`
`#include "zlib.h"`
`#include <string.h>`
`#include <stdlib.h>`
`#include <limits.h>`
`#include <fcntl.h>`
`#include <io.h>`
`#include <errno.h>`

Go to the source code of this file.

## Data Structures
struct | gz_state

## Macros
#define | ZLIB_INTERNAL
#define | _POSIX_SOURCE
#define | HAVE_VSNPRINTF
#define | local static
#define | zstrerror() strerror(errno)
#define | DEF_MEM_LEVEL MAX_MEM_LEVEL
#define | GZBUFSIZE 8192
#define | GZ_NONE 0
#define | GZ_READ 7247
#define | GZ_WRITE 31153
#define | GZ_APPEND 1 /* mode set to GZ_WRITE after the file is opened */
#define | LOOK 0 /* look for a gzip header */
#define | COPY 1 /* copy input directly */
#define | GZIP 2 /* decompress a gzip stream */
#define | GT_OFF(x) (sizeof(int) == sizeof(z_off64_t) && (x) > gz_intmax())

## Typedefs
typedef gz_state FAR * | gz_statep

## Functions
ZEXTERN gzFile ZEXPORT gzopen64 | OF ((const char *, const char *))
ZEXTERN z_off64_t ZEXPORT gzseek64 | OF ((gzFile, z_off64_t, int))
ZEXTERN z_off64_t ZEXPORT gztell64 | OF ((gzFile))
void ZLIB_INTERNAL gz_error | OF ((gz_statep, int, const char *))
unsigned ZLIB_INTERNAL gz_intmax | OF ((void))

## Macro Definition Documentation

## ◆ _POSIX_SOURCE

#define _POSIX_SOURCE

Definition at line 30 of file gzguts.h.

## ◆ COPY

#define COPY 1 /* copy input directly */

Definition at line 166 of file gzguts.h.

## ◆ DEF_MEM_LEVEL

#define DEF_MEM_LEVEL MAX_MEM_LEVEL

Definition at line 151 of file gzguts.h.

## ◆ GT_OFF

#define GT_OFF | ( |  | x | ) | (sizeof(int) == sizeof(z_off64_t) && (x) > gz_intmax())

Definition at line 218 of file gzguts.h.

## ◆ GZ_APPEND

#define GZ_APPEND 1 /* mode set to GZ_WRITE after the file is opened */

Definition at line 162 of file gzguts.h.

## ◆ GZ_NONE

#define GZ_NONE 0

Definition at line 159 of file gzguts.h.

## ◆ GZ_READ

#define GZ_READ 7247

Definition at line 160 of file gzguts.h.

## ◆ GZ_WRITE

#define GZ_WRITE 31153

Definition at line 161 of file gzguts.h.

## ◆ GZBUFSIZE

#define GZBUFSIZE 8192

Definition at line 156 of file gzguts.h.

## ◆ GZIP

#define GZIP 2 /* decompress a gzip stream */

Definition at line 167 of file gzguts.h.

## ◆ HAVE_VSNPRINTF

#define HAVE_VSNPRINTF

Definition at line 59 of file gzguts.h.

## ◆ local

#define local static

Definition at line 114 of file gzguts.h.

## ◆ LOOK

#define LOOK 0 /* look for a gzip header */

Definition at line 165 of file gzguts.h.

## ◆ ZLIB_INTERNAL

#define ZLIB_INTERNAL

Definition at line 18 of file gzguts.h.

## ◆ zstrerror

#define zstrerror | ( |  | ) | strerror(errno)

Definition at line 133 of file gzguts.h.

## Typedef Documentation

## ◆ gz_statep

typedef gz_state FAR* gz_statep

Definition at line 203 of file gzguts.h.

## Function Documentation

## ◆ OF() [1/5]

ZEXTERN gzFile ZEXPORT gzopen64 OF | ( | (const char *, const char *) |  | ) |

## ◆ OF() [2/5]

void ZLIB_INTERNAL gz_error OF | ( | (gz_statep, int, const char *) |  | ) |

## ◆ OF() [3/5]

ZEXTERN z_off64_t ZEXPORT gztell64 OF | ( | (gzFile) |  | ) |

## ◆ OF() [4/5]

ZEXTERN z_off64_t ZEXPORT gzseek64 OF | ( | (gzFile, z_off64_t, int) |  | ) |

## ◆ OF() [5/5]

unsigned ZLIB_INTERNAL gz_intmax OF | ( | (void) |  | ) |